Ubuntu Kernel 3.5.0-27 does not boot

Bug #1167114 reported by Petr Gladkikh on 2013-04-10
264
This bug affects 55 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Brad Figg

Bug Description

SRU Justification

Impact:

After upgrading to linux 3.5.0.27.43 my notebook does not boot. Loading recovery version of same linux kernel stops somewhere in the middle and does not even show a console.

Previous version of linux 3.5.0.26 works just fine.

Testing:

Boot a kernel with the relevant patch applied and you should get to a login screen/prompt.

NOTE the linux version reported with apport (3.5.0.26) is last working one not the subject of this bug.

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: linux-image-3.5.0-26-generic 3.5.0-26.42
ProcVersionSignature: Ubuntu 3.5.0-26.42-generic 3.5.7.6
Uname: Linux 3.5.0-26-generic i686
ApportVersion: 2.6.1-0ubuntu10
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: petr 2307 F.... pulseaudio
Date: Wed Apr 10 09:52:11 2013
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=c52d3970-fdbe-4b9a-9705-334803af7f5d
InstallationDate: Installed on 2013-01-12 (87 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release i386 (20121017.2)
MachineType: ASUSTeK Computer Inc. B53S
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB:
 0 radeondrmfb
 1 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.5.0-26-generic root=/dev/mapper/ubuntu-root ro quiet splash
PulseList:
 Error: command ['pacmd', 'list'] failed with exit code 1: Home directory /home/petr not ours.
 No PulseAudio daemon running, or not running as session daemon.
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-26-generic N/A
 linux-backports-modules-3.5.0-26-generic N/A
 linux-firmware 1.95
SourcePackage: linux
StagingDrivers: rts5139
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/15/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 213
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: B53S
dmi.board.vendor: ASUSTeK Computer Inc.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: ASUSTeK Computer Inc.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr213:bd11/15/2011:svnASUSTeKComputerInc.:pnB53S:pvr1.0:rvnASUSTeKComputerInc.:rnB53S:rvr1.0:cvnASUSTeKComputerInc.:ct9:cvr1.0:
dmi.product.name: B53S
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK Computer Inc.

Petr Gladkikh (petrglad) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

I have the same issue - on a desktop computer. This is a dump of some info from duel boot windows. Note: I am able to boot in a recovery mode if I select the Safe Graphics mode. My router does not indicate a live connection to the network card. Please indicate additional information to include to that I can help resolve this problem.

System Manufacturer: Gateway
System Model: DX4300
Processor: AMD Phenom(tm) II X4 810 Processor (4 CPUs), ~2.6GHz
Memory: 8192MB RAM
Card name: ATI Radeon HD 5700 Series
Realtek Digital Output (Realtek High Definition Audio)
Marvell Yukon 88E8071 PCI-E Gigabit Ethernet Controller

2 comments hidden view all 152 comments
Joseph Salisbury (jsalisbury) wrote :

Can you follow the "Boot options" instructions on the following wiki to enable additional output on boot:

https://wiki.ubuntu.com/DebuggingKernelBoot

As mentioned on the wiki, it would be great if you can attach a log file which may have captured any messages you see. If you are unable to capture a log file, a digital photo will work just as well. As a last resort you can even copy messages down by hand.

Changed in linux (Ubuntu):
importance: Undecided → High
tags: added: regression-update
tags: added: needs-bisect
tags: added: kernel-da-key
Joseph Salisbury (jsalisbury) wrote :

Also, can you test the latest 3.5 stable kernel to see if this issue is already resolved? It can be downloaded from:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5.7.9-quantal/

The wiki page does not (seem to) correspond to this version of grub. A short explanation of how to log boot output to a text file would be helpful. I did remove the quiet and splash options but the other options are different.

Starting with Natty (Ubuntu 11.04), also remove the parameter vt.handoff=7, and on the line that reads set gfxpayload=$linux_gfx_mode, replace with set gfxpayload=text

Does not correspond to what I see. I have a parameter $vt_handoff (that I removed) but no gxfpayload line.
I am going to try the updated kernel suggested. Fingers crossed.

The latest 3.5 stable kernel got to the login screen but in an incorrect graphics mode and without the mouse or keyboard functioning. I noticed that the Ethernet was connected but the router showed that it was at the low (10mB) speed.

I only upgraded the kernel. I did not upgrade the headers - Is it necessary?

I a currently booted into a kernel that is version 16 from a few weeks ago. Everything is functioning normally with this kernel.

Let me know what to do next and how to assist in debugging. I am not a Linux admin but I am a programmer so I can at least follow instructions :-)

summary: - Linux 3.5.0.27.43 does not boot
+ Ubuntu Kernel 3.5.0-27 does not boot
Roman Battaglia (raddyroro) wrote :

I will try this when I get home and report the results

1 comments hidden view all 152 comments
Roman Battaglia (raddyroro) wrote :

I tried to edit the boot prefrences via the wiki as you said, the system will still not boot. And the update is the same, therefore I am running on the previous version.

Dave Martin (dave-m) wrote :

Confirmed on a Parallels Ubuntu 12.04 Virtual Machine.

linux-image-3.5.0-27-generic:i386 (3.5.0-27.46~precise1) will not boot, whereas 3.5.0-26 is OK.

memilanuk (memilanuk) wrote :

I have the same problem... Lenovo ThinkPad T530 that has been running Linux (pretty much any distro) fine until recently. Currently dual-booting Win7 Pro and Ubuntu 12.10. Tried installing Fedora 18 and Fuduntu 2013.1 for multi-boot about a week ago. Live USB worked fine... install went fine... initial boot went fine... downloaded all the necessary updates and rebooted... got the same blank black screen after grub as described here. Given the number of updates applied at the time (hundreds) I literally had no idea where to even look, and just went back to Ubuntu 12.10 as it was still working fine.

Until the last update involving kernel 3.5.0-27. Rebooted... same blank black screen after grub.

Selected the 'Advanced Options' -> 3.5.0-26 generic kernel, and was able to boot normally (like now). When I tried the 3.5.0-27 failsafe kernel, I get partways through the boot cycle but it just hangs at pretty much the exact same point every time.

I'd like to help... but it seems that there is no good way to capture the boot messages when the machine doesn't even make it all the way through to a console? Short of writing down by hand the last few messages displayed on the screen when the machine locks up, and re-posting them here, what can I / we do to help? I mean, I'll do that if thats the only option, but I was hoping there was something else.

Just a thought... given that the three distros mentioned have very different kernel versions (I was told F18 was at something like 3.8.5-201?) it seems that its some small security update that would be common between the different distros that would cause all to recently not boot on certain hardware...?

Gregory Kramida (algomorph) wrote :

Also just experienced this on a desktop.

Just installed a bunch of updates, one of which was:
linux-headers-generic:amd64 (3.5.0.26.32, 3.5.0.27.43)

Since the system boots fine into 3.5.0.26, it stands to reason it must be this.
In a duplicate bug report, lots of people reported they have this issue on machines with older Radeon graphics cards,
specifically:

Radeon HD 3000 Series
Radeon HD 4000 Series

From reading the comments here, it seems like the bug also affects systems with other hardware.

Mine falls into the latter category. Off course, I'm running the noveau driver on that, since these HD cards don't support the newer xorg server versions, while noveau's good enough for my purposes not to downgrade.

Could somebody with this problem try to boot into 3.5.0.27 in recovery mode, I know it gets halfway there -- perhaps someone could pull up a root console after issuing a Ctrl-Alt-Del signal when it decides to stop booting? (I apologize, I'm in a bit of a time bind right now.)

I think it would be helpful to see what the "dmesg" command would say about the boot messages, if indeed it would work.

memilanuk (memilanuk) wrote :

When it stops booting... Ctrl+Alt+Del just reboots the system, rather than pull up any kind of console, at least for me.

Peter Telford (pt3lford) wrote :

I have the same issue but recovery mode gets all the way. I can even get a root prompt. I'm attaching dmesg-27.out and dmesg-26.out from my system for comparison.

Rexxy (roland-schmalenberg) wrote :

Got a Lenovo Thinkpad T400 in today for troubleshooting boot problems, same behavior as described above and in comments:
3.5.0-27 kernel won't boot,
3.5.0-26 and older works like a charm.

Barry Fishman (barry-fishman) wrote :

I have a radeon HD 4670 display.

While in grub I edited the boot line to include "radeon.modeset=0". This allowed the
system to boot without problems, although the graphical response was very slow.

So I think the problem is due to changes in the radeon driver KMS code.

Hendrik Knackstedt (hennekn) wrote :

Same problem on Kubuntu 12.10 with "VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RV620 [Mobility Radeon HD 3400 Series]" on Lenovo T400.

Luis Henriques (henrix) wrote :

Kernel 3.5.0-27.46 contained a bunch of changes to the radeon driver. Since most (all?) the bug reporters seem to be using a radeon graphic card, I've built a test kernel with all these changes reverted:

ea7e2ec Revert "drm/radeon: add new AMD ACPI header and update relevant code (v2)"
02f3061 Revert "drm/radeon: add a license header to radeon_apci.c"
665bfe9 Revert "drm/radeon: track whether the GPU controls the backlight (v2)"
9acd16c Revert "drm/radeon: rework legacy backlight control"
e09a7a2 Revert "drm/radeon: add backlight control for atom devices (v2)"
d934c3c Revert "drm/radeon: refactor radeon_atif_call"
dfa4cad Revert "drm/radeon: implement radeon_atif_verify_interface"
28b9be5 Revert "drm/radeon: implement wrapper for GET_SYSTEM_PARAMS"
4fe88b6 Revert "drm/radeon: implement handler for ACPI event"
1608812 Revert "drm/radeon: re-organize the acpi notifier callback"
501544d Revert "ACPI video: allow events handlers to veto the keypress"
4ed8dc6 Revert "drm/radeon: block the keypress on ATIF events"

I've uploaded the test kernels (both amd64 and i386) here:

http://people.canonical.com/~henrix/lp1167114/

Could you please git them a try and report back? Thanks.

arsen stasic (arsen) wrote :

Luis I have tried your kernel but I wasn't successful.
But I have to admit, I have this issue with Nvidia:

lspci |grep VGA
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
01:00.0 VGA compatible controller: NVIDIA Corporation GT218 [NVS 3100M] (rev a2)

It a lenovo T410.

I have tried the kernel as well but it did not work. I am including the output that Arsen included from my -17 kernel that I am running on the same machine.

01:05.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RS780 [Radeon HD 3200]
02:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Juniper [Radeon HD 5700 Series]

For any other people that haven't done this before, I found this link on uninstalling old kernels (so I could use the Ubuntu Software Center without it telling me that I have a newer version installed)

http://askubuntu.com/questions/153185/how-to-remove-kernels-from-previous-release

Let me know if there is anything else I can do to help debug.

-Nathaniel

Vreixo Formoso (metalpain2002) wrote :

I have the same problem with no ATI card but NVIDIA:

lspci |grep VGA
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
01:00.0 VGA compatible controller: NVIDIA Corporation GK107 [GeForce GT 650M] (rev a1)

Does everyone here have TWO or more graphics chips on their hardware?
That's the problem I have. Think it may be the root cause.
On Apr 12, 2013 9:55 AM, "Vreixo Formoso" <email address hidden> wrote:

> I have the same problem with no ATI card but NVIDIA:
>
> lspci |grep VGA
> 00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core
> processor Graphics Controller (rev 09)
> 01:00.0 VGA compatible controller: NVIDIA Corporation GK107 [GeForce GT
> 650M] (rev a1)
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1163512).
> https://bugs.launchpad.net/bugs/1167114
>
> Title:
> Ubuntu Kernel 3.5.0-27 does not boot
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1167114/+subscriptions
>

Barry Fishman (barry-fishman) wrote :

Re: comment 21 by Luis Henriques (henrix)

I have a Radeon HD 4670 frame buffer.

I installed all your amd64 debian files. There was no change.

I noticed that the network card never initialized itself (the light on my router never changed from yellow to green). The keyboard had enough functionality so that the NumLock light would respond to pressing that key. I still could not catch the last contents of the console window.

 Again if I added "radeon.modeset=0" to the boot, things worked with a much slower display.

memilanuk (memilanuk) wrote :

I have the onboard 'integrated' video plus Nvidia Optimus on my
laptop... think I'll try switching to integrated only in the BIOS and
see if that helps.

On 04/12/2013 07:13 AM, Kristian Erik Hermansen wrote:
> Does everyone here have TWO or more graphics chips on their hardware?
> That's the problem I have. Think it may be the root cause.
> On Apr 12, 2013 9:55 AM, "Vreixo Formoso" <email address hidden> wrote:
>
>> I have the same problem with no ATI card but NVIDIA:
>>
>> lspci |grep VGA
>> 00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core
>> processor Graphics Controller (rev 09)
>> 01:00.0 VGA compatible controller: NVIDIA Corporation GK107 [GeForce GT
>> 650M] (rev a1)
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1163512).
>> https://bugs.launchpad.net/bugs/1167114
>>
>> Title:
>> Ubuntu Kernel 3.5.0-27 does not boot
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1167114/+subscriptions
>>

Gregory Kramida (algomorph) wrote :

@Kristian wrote "Does everyone here have TWO or more graphics chips on their hardware?"):

No, my box that failed on the 3.5.0.27.43 kernel has only one Radeon HD card, 4000 series.
I am on an NVIDIA GeForce 260 box right now, still haven't tried.

Two graphic cards:

VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
VGA compatible controller: NVIDIA Corporation GF106GLM [Quadro 2000M] (rev a1)

If I try to debug the kernel on boot with these instructions, the Laptop will boot 2 out of 3 times!

setting gfxpayload to text and removing quiet spash $vt.handoff

On the not successful boot, the screen remains black. On the successfull boots I get the attached boot.log.

memilanuk (memilanuk) wrote :

Well, some success here... I was also troubleshooting some battery life issues; namely why another T530 user was seeing 7+ hrs life vs. less than 3 for me. Turns out I didn't have separate drivers installed for my nVidia Optimus card. I added the drivers using the instructions here: https://wiki.ubuntu.com/Bumblebee and suddenly I can boot up with kernel 3.5.0-27 no problemo - and battery life is considerably improved.

Barry Fishman (barry-fishman) wrote :

Re: comment 25 by Kristian Erik Hermansen

I also seem to have two display controllers.

lspci | grep VGA
01:05.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RS780L [Radeon HD 3000]
02:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI RV730XT [Radeon HD 4670]

The ASUS CG1330-07 came with the onboard graphics ports sealed off.

Luis Henriques (henrix) wrote :

Ok, so it looks like I was wrong about the radeon driver changes. Could anyone hitting this issue check if the box is still alive and try to login through the network (ssh, for example)? It would be great if we could get a kernel log (you can use dmesg to get it).

@Gregory...are you sure? What does lspci | grep VGA show you?
On Apr 12, 2013 10:45 AM, "Gregory Kramida" <email address hidden> wrote:

> @Kristian wrote "Does everyone here have TWO or more graphics chips on
> their hardware?"):
>
> No, my box that failed on the 3.5.0.27.43 kernel has only one Radeon HD
> card, 4000 series.
> I am on an NVIDIA GeForce 260 box right now, still haven't tried.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1163512).
> https://bugs.launchpad.net/bugs/1167114
>
> Title:
> Ubuntu Kernel 3.5.0-27 does not boot
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1167114/+subscriptions
>

memilanuk (memilanuk) wrote :

FWIW, this is what mine shows:

monte@machin-shin:~$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [Quadro NVS 5400M] (rev ff)

1 comments hidden view all 152 comments

I think this bug is leaning toward a dual video chip problem that the new
kernel fails to handle properly...
On Apr 12, 2013 12:01 PM, "memilanuk" <email address hidden> wrote:

> FWIW, this is what mine shows:
>
> monte@machin-shin:~$ lspci | grep VGA
> 00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core
> processor Graphics Controller (rev 09)
> 01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [Quadro NVS
> 5400M] (rev ff)
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1163512).
> https://bugs.launchpad.net/bugs/1167114
>
> Title:
> Ubuntu Kernel 3.5.0-27 does not boot
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1167114/+subscriptions
>

Gregory Kramida (algomorph) wrote :

@Kristian,
yes, I am sure. The box is in another location at this moment, I cannot run the command for you.

As I'm sure many of us do, I assemble my boxes. It has a GIGABYTE GV-R455D3-512I Radeon HD 4550 card, mounted on the PCIe x16 2.0 slot.

However, the computer also has a Intel Core i5-2400 Sandy Bridge processor, which comes with a built-in Intel HD Graphics 2000 GPU. That GPU is not active, as in - only the graphics card is being used by a single screen.

1 comments hidden view all 152 comments

Gregory...so you do have two chips. Thats what we all share in common.
That's what is causing the kernel to fail to boot.
On Apr 12, 2013 12:15 PM, "Gregory Kramida" <email address hidden> wrote:

> @Kristian,
> yes, I am sure. The box is in another location at this moment, I cannot
> run the command for you.
>
> As I'm sure many of us do, I assemble my boxes. It has a GIGABYTE GV-
> R455D3-512I Radeon HD 4550 card, mounted on the PCIe x16 2.0 slot.
>
> However, the computer also has a Intel Core i5-2400 Sandy Bridge
> processor, which comes with a built-in Intel HD Graphics 2000 GPU. That
> GPU is not active, as in - only the graphics card is being used by a
> single screen.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1163512).
> https://bugs.launchpad.net/bugs/1167114
>
> Title:
> Ubuntu Kernel 3.5.0-27 does not boot
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1167114/+subscriptions
>

Network connectivity is established after the bug causes the box to hang...

...it is not possible to ssh from another machine while the box hangs on booting.

Hendrik Knackstedt (hennekn) wrote :

I also have a built in Intel chip in addition to the radeon card. Couldn't find anything in logs after reboot. Will try to ssh or find another way to extract logs on hang on monday.

Petr Gladkikh (petrglad) wrote :

If I open GRUB menu before booting sometimes kernel boots successfully (I am writing this on it). Successful dmesg is in attachment.

When I boot default configuration system stalls with blank screen (however crtl+alt+del works).
If I boot "recovery mode" option system stops with last boot messages in text mode.

Boot output screenshots are here
https://drive.google.com/folderview?id=0B0PNJnCBTt7wX05vMWJFZVRzRjA&usp=sharing

Note that there is some call trace in first three screens.

Steve Conklin (sconklin) on 2013-04-18
Changed in linux (Ubuntu):
assignee: nobody → Steve Conklin (sconklin)
72 comments hidden view all 152 comments
Brad Figg (brad-figg) wrote :

The next set of bisect kernels can be found at:

http://kernel.ubuntu.com/~bradf/lp1167114/05/

git bisect log | tee ../bisect.log
# bad: [952b77ad6885b9db4837853a88f5c931dee553d6] UBUNTU: Ubuntu-3.5.0-27.43
# good: [7c088a33fdd4ac05ec70bd1031e3e932d0dee883] UBUNTU: Ubuntu-3.5.0-26.42
git bisect start 'Ubuntu-3.5.0-27.43' 'Ubuntu-3.5.0-26.42'
# good: [5528a50f5164e8807647aae932c8261733ea868d] ext4: check bh in ext4_read_block_bitmap()
git bisect good 5528a50f5164e8807647aae932c8261733ea868d
# bad: [310871eacb882ad9252da3080dbf45bf8988ff8c] sparc64: Fix gfp_flags setting in tsb_grow().
git bisect bad 310871eacb882ad9252da3080dbf45bf8988ff8c
# bad: [3eafbd7e92c8e6401cbc476dff2a019bc0536b70] drm: don't add inferred modes for monitors that don't support them
git bisect bad 3eafbd7e92c8e6401cbc476dff2a019bc0536b70
# good: [50155a2e1d275f9db82586aafb56d63fcff44e97] drm/usb: bind driver to correct device
git bisect good 50155a2e1d275f9db82586aafb56d63fcff44e97

Petr Gladkikh (petrglad) wrote :

to #111

I do understand that this bisection looks for particular issue but it is hard for me to write GOOD next to that version without any caveat :)

Nonetheless issue with blank screen after waking from suspend seem relevant.

Download full text (3.4 KiB)

I have let this kernel suspend and have manually suspended it and it seems
to behave normally. I have noticed only one place where the graphics seem
a bit hinky but nothing I can duplicate. At this point all
other behavior seems normal.

On Tue, Apr 23, 2013 at 7:59 AM, Petr Gladkikh
<email address hidden>wrote:

> to #111
>
> I do understand that this bisection looks for particular issue but it is
> hard for me to write GOOD next to that version without any caveat :)
>
> Nonetheless issue with blank screen after waking from suspend seem
> relevant.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1167114
>
> Title:
> Ubuntu Kernel 3.5.0-27 does not boot
>
> Status in “linux” package in Ubuntu:
> Confirmed
>
> Bug description:
> After upgrading to linux 3.5.0.27.43 my notebook does not boot.
> Loading recovery version of same linux kernel stops somewhere in the
> middle and does not even show a console.
>
> Previous version of linux 3.5.0.26 works just fine.
>
> NOTE the linux version reported with apport (3.5.0.26) is last working
> one not the subject of this bug.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-26-generic 3.5.0-26.42
> ProcVersionSignature: Ubuntu 3.5.0-26.42-generic 3.5.7.6
> Uname: Linux 3.5.0-26-generic i686
> ApportVersion: 2.6.1-0ubuntu10
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: petr 2307 F.... pulseaudio
> Date: Wed Apr 10 09:52:11 2013
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=c52d3970-fdbe-4b9a-9705-334803af7f5d
> InstallationDate: Installed on 2013-01-12 (87 days ago)
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release i386
> (20121017.2)
> MachineType: ASUSTeK Computer Inc. B53S
> MarkForUpload: True
> ProcEnviron:
> TERM=xterm
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB:
> 0 radeondrmfb
> 1 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.5.0-26-generic
> root=/dev/mapper/ubuntu-root ro quiet splash
> PulseList:
> Error: command ['pacmd', 'list'] failed with exit code 1: Home
> directory /home/petr not ours.
> No PulseAudio daemon running, or not running as session daemon.
> RelatedPackageVersions:
> linux-restricted-modules-3.5.0-26-generic N/A
> linux-backports-modules-3.5.0-26-generic N/A
> linux-firmware 1.95
> SourcePackage: linux
> StagingDrivers: rts5139
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 11/15/2011
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: 213
> dmi.board.asset.tag: ATN12345678901234567
> dmi.board.name: B53S
> dmi.board.vendor: ASUSTeK Computer Inc.
> dmi.board.version: 1.0
> dmi.chassis.asset.tag: No Asset Tag
> dmi.chassis.type: 9
> dmi.chassis.vendor: ASUSTeK Computer Inc.
> dmi.chassis.version: 1.0
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvr213:bd11/15/2011:svnASUSTeKComputerInc.:pnB53S:pvr1.0:rvnASUSTeKComputerInc.:rnB53S:rvr1.0:cvnASUSTeKComp...

Read more...

Barry Fishman (barry-fishman) wrote :

The kernel 3.5.0-28-generic_3.5.0-28.48~bjf+lp1167114+05_amd64 FAILED to boot with the symptoms associated with this bug.

Oliver Breuer (oliver-breuer) wrote :

It's the same on my machine:

linux-image-3.5.0-28-generic_3.5.0-28.48~bjf+lp1167114+05_amd64.deb BAD

Brad Figg (brad-figg) wrote :

The next set of bisect kernels can be found at:

http://kernel.ubuntu.com/~bradf/lp1167114/06/

git bisect log | tee ../bisect.log
# bad: [952b77ad6885b9db4837853a88f5c931dee553d6] UBUNTU: Ubuntu-3.5.0-27.43
# good: [7c088a33fdd4ac05ec70bd1031e3e932d0dee883] UBUNTU: Ubuntu-3.5.0-26.42
git bisect start 'Ubuntu-3.5.0-27.43' 'Ubuntu-3.5.0-26.42'
# good: [5528a50f5164e8807647aae932c8261733ea868d] ext4: check bh in ext4_read_block_bitmap()
git bisect good 5528a50f5164e8807647aae932c8261733ea868d
# bad: [310871eacb882ad9252da3080dbf45bf8988ff8c] sparc64: Fix gfp_flags setting in tsb_grow().
git bisect bad 310871eacb882ad9252da3080dbf45bf8988ff8c
# bad: [3eafbd7e92c8e6401cbc476dff2a019bc0536b70] drm: don't add inferred modes for monitors that don't support them
git bisect bad 3eafbd7e92c8e6401cbc476dff2a019bc0536b70
# good: [50155a2e1d275f9db82586aafb56d63fcff44e97] drm/usb: bind driver to correct device
git bisect good 50155a2e1d275f9db82586aafb56d63fcff44e97
# bad: [a4808f00a33a1b5139f845dc2673a592f942c71d] Revert "drm: Add EDID_QUIRK_FORCE_REDUCED_BLANKING for ASUS VW222S"
git bisect bad a4808f00a33a1b5139f845dc2673a592f942c71d

Changed in linux (Ubuntu):
assignee: Steve Conklin (sconklin) → Brad Figg (brad-figg)
Oliver Breuer (oliver-breuer) wrote :

linux-image-3.5.0-28-generic_3.5.0-28.48~bjf+lp1167114+06_amd64.deb GOOD

Barry Fishman (barry-fishman) wrote :

GOOD: The 3.5.0-28-generic_3.5.0-28.48~bjf+lp1167114+06 kernel boots fine.

Brad Figg (brad-figg) wrote :

The next set of bisect kernels can be found at:

http://kernel.ubuntu.com/~bradf/lp1167114/07/

git bisect log | tee ../bisect.log
# bad: [952b77ad6885b9db4837853a88f5c931dee553d6] UBUNTU: Ubuntu-3.5.0-27.43
# good: [7c088a33fdd4ac05ec70bd1031e3e932d0dee883] UBUNTU: Ubuntu-3.5.0-26.42
git bisect start 'Ubuntu-3.5.0-27.43' 'Ubuntu-3.5.0-26.42'
# good: [5528a50f5164e8807647aae932c8261733ea868d] ext4: check bh in ext4_read_block_bitmap()
git bisect good 5528a50f5164e8807647aae932c8261733ea868d
# bad: [310871eacb882ad9252da3080dbf45bf8988ff8c] sparc64: Fix gfp_flags setting in tsb_grow().
git bisect bad 310871eacb882ad9252da3080dbf45bf8988ff8c
# bad: [3eafbd7e92c8e6401cbc476dff2a019bc0536b70] drm: don't add inferred modes for monitors that don't support them
git bisect bad 3eafbd7e92c8e6401cbc476dff2a019bc0536b70
# good: [50155a2e1d275f9db82586aafb56d63fcff44e97] drm/usb: bind driver to correct device
git bisect good 50155a2e1d275f9db82586aafb56d63fcff44e97
# bad: [a4808f00a33a1b5139f845dc2673a592f942c71d] Revert "drm: Add EDID_QUIRK_FORCE_REDUCED_BLANKING for ASUS VW222S"
git bisect bad a4808f00a33a1b5139f845dc2673a592f942c71d
# good: [9d12d27c0d3623e9fc149ef1f428279826a5135d] drm/udl: disable fb_defio by default
git bisect good 9d12d27c0d3623e9fc149ef1f428279826a5135d

Oliver Breuer (oliver-breuer) wrote :

linux-image-3.5.0-28-generic_3.5.0-28.48~bjf+lp1167114+07_amd64.deb BAD

Brad Figg (brad-figg) wrote :

We've identified a possible upstream fix for this issue. Please test the kernels at:

http://kernel.ubuntu.com/~bradf/lp1167114/upstream-01/

Brad Figg (brad-figg) on 2013-04-23
description: updated
Oliver Breuer (oliver-breuer) wrote :

linux-image-3.5.0-28-generic_3.5.0-28.48~bjf+upstream+01_amd64.deb GOOD

Barry Fishman (barry-fishman) wrote :

FAIL: The 3.5.0-28-generic_3.5.0-28.48~bjf+lp1167114+07 does not boot in the usual way.
SUCCESS: The 3.5.0-28-generic_3.5.0-28.48~bjf+upstream+01_amd64 boots fine.

Brad Figg (brad-figg) wrote :

The upstream commit has been submitted to the Ubuntu kernel team mailing list. I expect to be spinning a new kernel for -proposed real soon now.

I am posting this for anyone testing kernels that has as weak an understanding of Linux as I do :-)

The next to last set of kernels did not show up in my Software Center so I ran the following commands in the terminal.

sudo dpkg --get-selections | grep linux

That showed me a list of stuff installed with linux in its name which means the kernels I have been installing

Then I ran

sudo dpkg -r linux-image-extra-3.5.0-28-generic
sudo dpkg -r linux-image-extra-3.5.0-28-generic
sudo dpkg -r linux-image-3.5.0-28-generic

Since those are the kernel packages I installed. And now on to the last set posted. If I forgot anything feel free to comment.

Brad Figg (brad-figg) on 2013-04-23
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed

Brad -- will this fix be in the final release of 13.04?

On Tue, Apr 23, 2013 at 2:02 PM, Brad Figg <email address hidden> wrote:
> ** Changed in: linux (Ubuntu)
> Status: Confirmed => Fix Committed
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1163512).
> https://bugs.launchpad.net/bugs/1167114
>
> Title:
> Ubuntu Kernel 3.5.0-27 does not boot
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1167114/+subscriptions

--
Kristian Erik Hermansen
https://www.linkedin.com/in/kristianhermansen
https://profiles.google.com/kristian.hermansen

Brad Figg (brad-figg) wrote :

Kristian,

Yes it is already in Rarning (13.04)

linux-image-3.5.0-28-generic_3.5.0-28.48~bjf+upstream+01_amd64.deb

Behaves like an earlier patch attempt - Lo res graphics, no peripherals.

Which is to say
linux-image-3.5.0-28-generic_3.5.0-28.48~bjf+upstream+01_amd64.deb BAD

arsen stasic (arsen) wrote :

Bard,

could you explain what the regression was? I am just curios.

Wow! Congratulations! Thanks for the patience to fix this!
Its really important to us!
Thank you for all the hard work, Steve Conklin, Brad Figg and all the testers!

Regards

Christopher (soft-kristal) wrote :

Thanks - I did the official updates to -28 just now and ir booted without any issues.

Emachines running i386 3.5.0.28.

Brad Figg (brad-figg) wrote :

Christopher,

You installed from -proposed?

Christopher (soft-kristal) wrote :

Yes. I have 'stable' partitions and 'proposed' ones.

I am willing to test the proposed if you will provide a link.

Christopher (soft-kristal) wrote :

You need to change your sources in Software Updates to select the proposed versions. Most of the time they work well.

Do you know when it will be in the normal version of the updates? (the others instead of proposed).
If you can tell me that please.
Regards

Brad Figg (brad-figg) on 2013-04-25
tags: added: verification-done-quantal
Gregory Kramida (algomorph) wrote :

@Brad, a big thanks to you and to all of the devs & testers out there.

 3.5.0.28.44 | quantal-proposed | amd64 is working for me perfectly, on the machine with the AMD Radeon HD4550 & the Intel built-in GPU.

Would you say it's safe to try and upgrade to Raring now, or is the fix still in the works there?

Brad Figg (brad-figg) wrote :

Raring has had this fix for a little while. Sometimes it takes time for commits to trickle down to "stable" kernels.

Thanks brad!!!
On Apr 25, 2013 6:31 AM, "Brad Figg" <email address hidden> wrote:

> Raring has had this fix for a little while. Sometimes it takes time for
> commits to trickle down to "stable" kernels.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1163512).
> https://bugs.launchpad.net/bugs/1167114
>
> Title:
> Ubuntu Kernel 3.5.0-27 does not boot
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1167114/+subscriptions
>

arsen stasic (arsen) wrote :

@Nathaniel

proposed is only for advanced users:
https://wiki.ubuntu.com/Testing/EnableProposed

OR

cd /etc/apt/sources.list.d/
sudo echo -n 'deb http://archive.ubuntu.com/ubuntu/ ' > proposed.list
sudo echo -n 'quantal-proposed main restricted ' >> proposed.list
sudo echo 'universe multiverse' >> proposed.list

sudo apt-get update
sudo apt-get install linux-headers-3.5.0-28 linux-headers-3.5.0-28-generic linux-image-3.5.0-28-generic linux-image-extra-3.5.0-28-generic
sudo rm /etc/apt/sources.list.d/ubuntu-proposed.list

Last command is to remove proposed repo.

FYI. Upgrade from 12.10 to 13.04 caused my system tmp directory to become
read only and then the upgrade failed and the kernel panic ensued. More bad
mojo. Be warned. I'm about to switch to Mac after being a loyal linux user
for the last decade. Linux sucks...
On Apr 26, 2013 1:21 AM, "arsen stasic" <email address hidden> wrote:

> @Nathaniel
>
> proposed is only for advanced users:
> https://wiki.ubuntu.com/Testing/EnableProposed
>
> OR
>
> cd /etc/apt/sources.list.d/
> sudo echo -n 'deb http://archive.ubuntu.com/ubuntu/ ' > proposed.list
> sudo echo -n 'quantal-proposed main restricted ' >> proposed.list
> sudo echo 'universe multiverse' >> proposed.list
>
> sudo apt-get update
> sudo apt-get install linux-headers-3.5.0-28 linux-headers-3.5.0-28-generic
> linux-image-3.5.0-28-generic linux-image-extra-3.5.0-28-generic
> sudo rm /etc/apt/sources.list.d/ubuntu-proposed.list
>
> Last command is to remove proposed repo.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1163512).
> https://bugs.launchpad.net/bugs/1167114
>
> Title:
> Ubuntu Kernel 3.5.0-27 does not boot
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1167114/+subscriptions
>

@Kristian

I usually dont use to be like i am now but, man....
Why that coment? Isn't better to post a bug to find out what caused that, so others dont experience the same problem as you did instead of such non productive coment? K'mon, we all know linux isn't perfect, but only with our help it can be better! If you need help, we are here! As we were with this bug. And only FYI, for production machines, 12.04 is advised!

gggeek (giunta-gaetano) wrote :

FWIV, same problem here on a MacBookPro 8.2.
Dual video cards: integrated intel and external AMD 6490M.
Booting via refind (uefi mode).
I disable on boot the AMD card and set some parameters for i915via grub config, but still kernel 3.5.0-27 halts with blank screen. Last tested good version: 3.5.0-26

@ gggeek:

The bug got fixed but, didn't land yet on the normal updates repository. To use it, you need to enable the proposed repository. But i recomend waiting...

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :
Download full text (17.6 KiB)

This bug was fixed in the package linux - 3.5.0-28.48

---------------
linux (3.5.0-28.48) quantal-proposed; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1172023

  [ Steve Conklin ]

  * Revert "drm/i915: GFX_MODE Flush TLB Invalidate Mode must be '1' for
    scanline waits"
    - LP: #1140716

  [ Upstream Kernel Changes ]

  * fbcon: fix locking harder
    - LP: #1167114

linux (3.5.0-28.47) quantal-proposed; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1166876

  [ Adam Lee ]

  * SAUCE: Bluetooth: Add support for 105b:e065
    - LP: #1161261

  [ John Johansen ]

  * SAUCE: (no-up) apparmor: Fix quieting of audit messages for network
    mediation
    - LP: #1163259

  [ Upstream Kernel Changes ]

  * NFSv4: Fix the string length returned by the idmapper
    - LP: #1101292
  * Input: cypress_ps2 - fix trackpadi found in Dell XPS12
    - LP: #1103594
  * omap_vout: find_vma() needs ->mmap_sem held
    - LP: #1164714
  * nfsd: Fix memleak
    - LP: #1164714
  * iommu/amd: Initialize device table after dma_ops
    - LP: #1164714
  * svcrpc: make svc_age_temp_xprts enqueue under sv_lock
    - LP: #1164714
  * target: Add missing mapped_lun bounds checking during make_mappedlun
    setup
    - LP: #1164714
  * xen-blkback: do not leak mode property
    - LP: #1164714
  * btrfs: Init io_lock after cloning btrfs device struct
    - LP: #1164714
  * NFS: Don't allow NFS silly-renamed files to be deleted, no signal
    - LP: #1164714
  * SUNRPC: Don't start the retransmission timer when out of socket space
    - LP: #1164714
  * storvsc: Initialize the sglist
    - LP: #1164714
  * dc395x: uninitialized variable in device_alloc()
    - LP: #1164714
  * ALSA: bt87x: Make load_all parameter working again
    - LP: #1164714
  * ARM: VFP: fix emulation of second VFP instruction
    - LP: #1164714
  * ARM: fix scheduling while atomic warning in alignment handling code
    - LP: #1164714
  * doc, xen: Mention 'earlyprintk=xen' in the documentation.
    - LP: #1164714
  * doc, kernel-parameters: Document 'console=hvc<n>'
    - LP: #1164714
  * sony-laptop: fully enable SNY controlled modems
    - LP: #1164714
  * x86: Make sure we can boot in the case the BDA contains pure garbage
    - LP: #1164714
  * cifs: ensure that cifs_get_root() only traverses directories
    - LP: #1164714
  * iscsi-target: Fix immediate queue starvation regression with DATAIN
    - LP: #1164714
  * ocfs2: fix ocfs2_init_security_and_acl() to initialize acl correctly
    - LP: #1164714
  * ocfs2: ac->ac_allow_chain_relink=0 won't disable group relink
    - LP: #1164714
  * block: fix ext_devt_idr handling
    - LP: #1164714
  * idr: fix a subtle bug in idr_get_next()
    - LP: #1164714
  * block: fix synchronization and limit check in blk_alloc_devt()
    - LP: #1164714
  * firewire: add minor number range check to fw_device_init()
    - LP: #1164714
  * idr: fix top layer handling
    - LP: #1164714
  * sysctl: fix null checking in bin_dn_node_address()
    - LP: #1164714
  * nbd: fsync and kill block device on shutdown
    - LP: #1164714
  * target/pscsi: Fix page increment
    - LP: #1164714
  * xen/pat: Disable PAT using pat_enabled...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Steve Conklin (sconklin) wrote :

There is a fix in the latest released kernel that has fixed this for other users. Could you please update your system and then let us know whether you still have the problem? The fix is in updates, so a regular update should catch it.

Thanks!

Download full text (3.4 KiB)

This bug was fixed for me in the 13.04 release which included this fix. I
have not had problems with it since.

On Wed, May 8, 2013 at 3:15 PM, Steve Conklin <email address hidden>wrote:

> There is a fix in the latest released kernel that has fixed this for
> other users. Could you please update your system and then let us know
> whether you still have the problem? The fix is in updates, so a regular
> update should catch it.
>
> Thanks!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1167114
>
> Title:
> Ubuntu Kernel 3.5.0-27 does not boot
>
> Status in “linux” package in Ubuntu:
> Fix Released
>
> Bug description:
> SRU Justification
>
> Impact:
>
> After upgrading to linux 3.5.0.27.43 my notebook does not boot.
> Loading recovery version of same linux kernel stops somewhere in the
> middle and does not even show a console.
>
> Previous version of linux 3.5.0.26 works just fine.
>
> Testing:
>
> Boot a kernel with the relevant patch applied and you should get to a
> login screen/prompt.
>
>
> NOTE the linux version reported with apport (3.5.0.26) is last working
> one not the subject of this bug.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-26-generic 3.5.0-26.42
> ProcVersionSignature: Ubuntu 3.5.0-26.42-generic 3.5.7.6
> Uname: Linux 3.5.0-26-generic i686
> ApportVersion: 2.6.1-0ubuntu10
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: petr 2307 F.... pulseaudio
> Date: Wed Apr 10 09:52:11 2013
> EcryptfsInUse: Yes
> HibernationDevice: RESUME=UUID=c52d3970-fdbe-4b9a-9705-334803af7f5d
> InstallationDate: Installed on 2013-01-12 (87 days ago)
> InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release i386
> (20121017.2)
> MachineType: ASUSTeK Computer Inc. B53S
> MarkForUpload: True
> ProcEnviron:
> TERM=xterm
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> SHELL=/bin/bash
> ProcFB:
> 0 radeondrmfb
> 1 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.5.0-26-generic
> root=/dev/mapper/ubuntu-root ro quiet splash
> PulseList:
> Error: command ['pacmd', 'list'] failed with exit code 1: Home
> directory /home/petr not ours.
> No PulseAudio daemon running, or not running as session daemon.
> RelatedPackageVersions:
> linux-restricted-modules-3.5.0-26-generic N/A
> linux-backports-modules-3.5.0-26-generic N/A
> linux-firmware 1.95
> SourcePackage: linux
> StagingDrivers: rts5139
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 11/15/2011
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: 213
> dmi.board.asset.tag: ATN12345678901234567
> dmi.board.name: B53S
> dmi.board.vendor: ASUSTeK Computer Inc.
> dmi.board.version: 1.0
> dmi.chassis.asset.tag: No Asset Tag
> dmi.chassis.type: 9
> dmi.chassis.vendor: ASUSTeK Computer Inc.
> dmi.chassis.version: 1.0
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvr213:bd11/15/2011:svnASUSTeKComputerInc.:pnB53S:pvr1.0:rvnASU...

Read more...

Displaying first 40 and last 40 comments. View all 152 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.